{% extends 'base.html.twig' %}

{% block body %}
	<style>

		.registration-page {
			width: 360px;
		}
		.form {
			position: relative;
			z-index: 1;
			background: rgb(24, 26, 27);
			width: 500px;
			max-width: 500px;
			padding: 45px;
			text-align: center;
			box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
		}
		.form input {
			background: rgb(60, 65, 68);
		}
		label {
			color: white;
		}
		.form button {
			text-transform: uppercase;
			outline: 0;
			background: #4CAF50;
			width: 100%;
			border: 0;
			padding: 15px;
			color: #FFFFFF;
			font-size: 14px;
			-webkit-transition: all 0.3 ease;
			transition: all 0.3 ease;
			cursor: pointer;
		}
		.form button:hover,
		.form button:active,
		.form button:focus {
			background: #43A047;
		}
		.form .message {
			margin: 15px 0 0;
			color: #b3b3b;
			font-size: 12px;
		}
		.form .message a {
			color: #4CAF50;
			text-decoration: none;
		}
		.form .register-form {
			display: none;
		}
		.container {
			position: relative;
			z-index: 1;
			max-width: 300px;
			margin: 0 auto;
		}
		.container:before,
		.container:after {
			content: "";
			display: block;
			clear: both;
		}
		.container .info {
			margin: 50px auto;
			text-align: center;
		}
		.container .info h1 {
			margin: 0 0 15px;
			padding: 0;
			font-size: 36px;
			font-weight: 300;
			color: #1a1a1a;
		}
		.container .info span {
			color: #4d4d4d;
			font-size: 12px;
		}
		.container .info span a {
			color: #000000;
			text-decoration: none;
		}
		.container .info span .fa {
			color: #EF3B3A;
		}


		td {
			color: white;
		}
	</style>
	<div style="margin-left:10px">
		<h1 style="text-decoration: underline;">
			Votre profil Utilisateur :
		</h1>
		<br>
		<h5>Votre ID :
			{{vendeur.id}}</h5>
		<br>
		<h5>Votre nom :
			{{vendeur.nom}}</h5>
		<br>

		<h5>Votre Mail :
			{{vendeur.mail}}</h5>
		<br>

		<h5>Votre Numéro :
			{{vendeur.numTel}}</h5>
		<br>
	</h5>
	<br>
	<a href="{{ path('profil_edit', {'id':vendeur.id}) }}" class='btn btn-outline-primary'>Editer</a>
	<a onclick="return confirm('Etes-vous sûr')" href="{{ path('profil_delete', {'id':vendeur.id}) }}" class='btn btn-outline-danger'>Supprimer</a>
	<br>
	<br>
	<br>
	{% if emplacements|length > 0 %}
		<h4>
			<ins>Emplacements :</ins>
		</h4>
		{% for emplacement in emplacements %}
			<h5 class="m-1">{{emplacement.adresse}}
				({{emplacement.codePostal}})
				<a class="btn btn-outline-danger btn-sm" href="{{ path('emplacement_delete', {'id' : emplacement.id}) }}">Supprimer</a>
			</h5>
		{% endfor %}
	{% else %}
		<h4>Vous n'avez pas encore d'emplacements</h4>
	{% endif %}
	<div class="registration-page">
		<div class="form">
			<form method="post">
				{{ form_start(form, {attr: {novalidate: 'novalidate'}}) }}
				<table class="formulaire center">
					<tbody>
						<tr>
							<td>Adresse :{{ form_widget(form.adresse) }}</td>
						</tr>
						<tr>
							<td>
								{{ form_errors(form.adresse) }}
							</td>
						</tr>
					</tbody>
				</tr>
				<tr>
					<td>
						Code Postal :
						{{ form_widget(form.codePostal) }}</td>
				</tr>
				<tr>
					<td>
						{{ form_errors(form.codePostal) }}
					</td>
				</tr>
			</tr>
			<tbody/>
			<br>
			<table>
				<button type="submit" class="btn btn-outline-success center mt-4">Ajouter l'emplacement</button>
				{{ form_end(form) }}
			</table>
		</form>
	</div>
</div>
<br>
<br>
{% if annonces|length > 0 %}
	<br>

	<h1>
		<ins>Mes annonces</ins>
	</h1>
	<div class="row">
		{% for annonce in annonces|reverse %}
			<div class="col-md-3 mt-3">
				<div class="card mb-3 h-60">
					<h3 class="card-header" style="background-color: rgb(60, 65, 68); color : #fff;">{{annonce.nomAnnonce}}</h3>
					<img src="{{ annonce.image }}" class="center" alt="card image" height="200" width="100%" style="border: 5px">
					<div class="card-body">
						<p class="card-text">{{annonce.description}}</p>
						<hr>
					</div>
					<div class="card-body">
						<p class="card-text">{{annonce.unEmplacement}}</p>
					</div>
					<div class="card-body">
						<p class="card-text">Vendeur :
							{{annonce.leVendeur}}</p>
					</div>
					<a href="{{ path("show", {'id': annonce.id}) }}" class='btn btn-outline-dark'>Voir plus</a>

				</div>
			</div>
		{% endfor %}
	</div>

	<a class="btn btn-outline-success mt-3 mb-3" href="/add">Créer une annonce</a>
{% else %}
	<h3>Vous n'avez pas d'annonces en ligne!</h3>
	<a class="btn btn-outline-success mb-3" href="/add">Créer une annonce</a>
{% endif %}


<br>
<br></div>{% endblock %}
